Name:           salpack
Version:	1.0.28
Release:        1%{?dist}
Summary:        SAL's default settings
BuildArch:	noarch

Group:          System Environment/Base
License:        GPL
Source:		salpack.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python
Requires:	livna-release
Requires:       crontabs, util-linux, ntp
Requires:	yum-cron, yum-fastestmirror, yum-utils, bash-completion
Requires:	rsync, mc, joe, screen, bc, audit
Requires:	ntsysv

%description
SAL's default system settings.


%package mail
Summary:        SAGATOR's mail packages
Group:          System Environment/Base
Requires: %{name}, postfix, dovecot, mysql-server, mutt
Requires: cyrus-sasl-md5, cyrus-sasl-plain, cyrus-sasl-sql
Requires: sagator-release
Requires: mlocate

%description mail
SAL's default mail packages.


%package web
Summary:        SAGATOR's web packages
Group:          System Environment/Base
Provides:       %{name}-www = %{version}-%{release}
Requires: %{name}
Requires: httpd, mod_ssl
Requires: php, php-mbstring, php-mysql, php-pear
Requires: mysql-server, phpMyAdmin
# required for logwatch
Requires: postfix
Requires: mlocate

%description web
SAL's default web packages.


%package stats
Summary:        SAGATOR's stats packages (nagios)
Group:          System Environment/Base
Requires: %{name}
Requires: httpd, mod_ssl, postfix, telnet, mrtg, rrdtool
Requires: nagios
Requires: nagios-plugins nagios-plugins-icmp nagios-plugins-dns
Requires: nagios-plugins-users nagios-plugins-udp nagios-plugins-swap
Requires: nagios-plugins-ping nagios-plugins-dhcp nagios-plugins-dummy
Requires: nagios-plugins-load nagios-plugins-nagios nagios-plugins-smtp
Requires: nagios-plugins-procs nagios-plugins-http nagios-plugins-disk
Requires: nagios-plugins-mysql nagios-plugins-tcp nagios-plugins-ssh

%description stats
SAL's stats packages.


%prep
%setup -q -n mypack


%build
if [ %{dist} = ".fc6" ]; then
  echo -e ',s/-fX$/-fcX/\nw\nq' | ed etc/yum.repos.d/upjs.repo
else
  echo "New fedora detected: %{dist}"
fi


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cp -arf etc var $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 = 1 ]; then # install
  /sbin/chkconfig yum-cron on
  [ ! -f /var/lock/subsys/yum-cron ] && /etc/init.d/yum-cron start || true
fi


%files
%defattr(-,root,root,-)
#%config(noreplace) %{_sysconfdir}/cron.d/clock
%config %{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*.repo
%config(noreplace) %{_sysconfdir}/sysconfig/iptables
%dir %{_sysconfdir}/mrtg
%config(noreplace) %{_sysconfdir}/mrtg/*
#%config(noreplace) %{_var}/www/mrtg/index.html
%{_var}/www/mrtg/example.html
%exclude %{_sysconfdir}/httpd
%exclude %{_sysconfdir}/nagios

%files mail

%files web
#%{_sysconfdir}/httpd/vlog.sh
%config(noreplace) %{_sysconfdir}/logrotate.d/virtualhost
%config(noreplace) %{_sysconfdir}/httpd/split-logfile.py
%exclude %{_sysconfdir}/httpd/split-logfile.py[co]

%files stats
%{_sysconfdir}/nagios/restart
%{_sysconfdir}/nagios/ngreconfig.py
%{_sysconfdir}/nagios/dns
%{_sysconfdir}/nagios/global
%config(noreplace) %{_sysconfdir}/nagios/extinfo
%config(noreplace) %{_sysconfdir}/nagios/main

%changelog
* Wed Feb 6 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk>
- added vlog.sh apache log file distributor
